FROM openshift/golang-builder:1.11
ENV __doozer=update BUILD_RELEASE=202005050921 BUILD_VERSION=v4.2.32 OS_GIT_MAJOR=4 OS_GIT_MINOR=2 OS_GIT_PATCH=32 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.2.32-202005050921 
ENV __doozer=merge OS_GIT_COMMIT=152b1b3 OS_GIT_VERSION=4.2.32-202005050921-152b1b3 SOURCE_DATE_EPOCH=1576269832 SOURCE_GIT_COMMIT=152b1b3355fbc5c9ed760b58f2fe6fc8fc082d31 SOURCE_GIT_TAG=152b1b33 SOURCE_GIT_URL=https://github.com/openshift/telemeter 
COPY . /go/src/github.com/openshift/telemeter
RUN cd /go/src/github.com/openshift/telemeter && \
    go build ./cmd/telemeter-client && \
    go build ./cmd/telemeter-server && \
    go build ./cmd/authorization-server

FROM openshift/ose-base:v4.2.32.20200505.092140
ENV __doozer=update BUILD_RELEASE=202005050921 BUILD_VERSION=v4.2.32 OS_GIT_MAJOR=4 OS_GIT_MINOR=2 OS_GIT_PATCH=32 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.2.32-202005050921 
ENV __doozer=merge OS_GIT_COMMIT=152b1b3 OS_GIT_VERSION=4.2.32-202005050921-152b1b3 SOURCE_DATE_EPOCH=1576269832 SOURCE_GIT_COMMIT=152b1b3355fbc5c9ed760b58f2fe6fc8fc082d31 SOURCE_GIT_TAG=152b1b33 SOURCE_GIT_URL=https://github.com/openshift/telemeter 
COPY --from=0 /go/src/github.com/openshift/telemeter/telemeter-client /usr/bin/
COPY --from=0 /go/src/github.com/openshift/telemeter/telemeter-server /usr/bin/
COPY --from=0 /go/src/github.com/openshift/telemeter/authorization-server /usr/bin/

LABEL \
        name="openshift/ose-telemeter" \
        com.redhat.component="telemeter-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        version="v4.2.32" \
        release="202005050921" \
        io.openshift.build.commit.id="152b1b3355fbc5c9ed760b58f2fe6fc8fc082d31" \
        io.openshift.build.source-location="https://github.com/openshift/telemeter" \
        io.openshift.build.commit.url="https://github.com/openshift/telemeter/commit/152b1b3355fbc5c9ed760b58f2fe6fc8fc082d31"

